## minisign 0.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(minisign C)

set(CPACK_PACKAGE_DESCRIPTION_SUMMARY "minisign")
set(CPACK_PACKAGE_VENDOR "Frank Denis")
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README.md")
set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE")
set(CPACK_PACKAGE_VERSION_MAJOR "0")
set(CPACK_PACKAGE_VERSION_MINOR "11")
set(CPACK_PACKAGE_VERSION_PATCH "0")
set(
  CPACK_SOURCE_PACKAGE_FILE_NAME
  "${CMAKE_PROJECT_NAME}-${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}"
  )
set(
  CPACK_SOURCE_IGNORE_FILES
  "/build/;minisign.key;minisign.pub;a.out;/.git/;~$;${CPACK_SOURCE_IGNORE_FILES}"
  )
set(CPACK_PACKAGE_EXECUTABLES "minisign" "minisign")

if(NOT CMAKE_BUILD_TYPE)
  set(
    CMAKE_BUILD_TYPE
    MinSizeRel
    CACHE
      STRING
      "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
      FORCE)
endif(NOT CMAKE_BUILD_TYPE)

include(CPack)

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_ALL_SOURCE -D_GNU_SOURCE")
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64")

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
if(BUILD_STATIC_EXECUTABLES)
  set(STATIC_LIBSODIUM on)
  if (NOT APPLE)
    set(CMAKE_EXE_LINKER_FLAGS -static)
  endif (NOT APPLE)
endif(BUILD_STATIC_EXECUTABLES)

add_executable(minisign
               src/base64.c
               src/get_line.c
               src/helpers.c
               src/minisign.c)

find_package(PkgConfig REQUIRED)
pkg_check_modules(LIBSODIUM libsodium)

if(STATIC_LIBSODIUM)
  if(BUILD_STATIC_EXECUTABLES)
    set_target_properties(minisign PROPERTIES LINK_SEARCH_START_STATIC 1)
    set_target_properties(minisign PROPERTIES LINK_SEARCH_END_STATIC 1)
  endif()
  set(CMAKE_FIND_LIBRARY_SUFFIXES .lib .a ${CMAKE_FIND_LIBRARY_SUFFIXES})
endif()

find_path(SODIUM_INCLUDE_DIR sodium.h HINTS ${LIBSODIUM_INCLUDE_DIRS} /usr/local/include /opt/local/include /opt/include)
find_library(SODIUM_LIBRARY NAMES sodium HINTS ${LIBSODIUM_LIBRARY_DIRS} /usr/local/lib /opt/local/lib /opt/lib)

if(STATIC_LIBSODIUM)
  set(LIBSODIUM_CFLAGS_OTHER ${LIBSODIUM_STATIC_CFLAGS_OTHER})
  set(LIBSODIUM_LDFLAGS_OTHER ${LIBSODIUM_STATIC_LDFLAGS_OTHER})
endif()

target_include_directories(minisign PUBLIC ${SODIUM_INCLUDE_DIR})
target_compile_options(minisign PUBLIC ${LIBSODIUM_CFLAGS} ${LIBSODIUM_CFLAGS_OTHER})
target_link_libraries(minisign ${SODIUM_LIBRARY} ${LIBSODIUM_LDFLAGS_OTHER})

set(THREADS_PREFER_PTHREAD_FLAG ON)
find_package(Threads REQUIRED)
if(THREADS_HAVE_PTHREAD_ARG)
  target_compile_options(minisign PUBLIC "-pthread")
endif(THREADS_HAVE_PTHREAD_ARG)
if(CMAKE_THREAD_LIBS_INIT)
  target_link_libraries(minisign "${CMAKE_THREAD_LIBS_INIT}")
endif(CMAKE_THREAD_LIBS_INIT)

if (NOT MSVC AND CMAKE_STRIP)
  add_custom_command(TARGET minisign POST_BUILD
    COMMAND ${CMAKE_STRIP} ${STRIP_FLAGS} $<TARGET_FILE:minisign>)
endif(NOT MSVC AND CMAKE_STRIP)

install(TARGETS minisign DESTINATION bin)

include(GNUInstallDirs)

install(FILES "share/man/man1/minisign.1"
        DESTINATION "${CMAKE_INSTALL_MANDIR}/man1"
        COMPONENT doc)

=== debian/changelog ===
minisign (0.11-1) unstable; urgency=medium

  * New upstream version 0.11
  * debian/control: updadte Standards-Version to 4.6.2
  * debian/copyright: updated year copyright debian directory
  * debian/patches: udpade acute-accent-in-manual-page

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 21 Jan 2023 10:41:57 -0300

minisign (0.10-3) unstable; urgency=medium

  * debian/watch:
     - fix url to https://github.com/jedisct1/minisign/tags
     - replacing filenamemangle with USCAN_SYMLINK=rename

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 21 Jan 2023 10:41:02 -0300

minisign (0.10-2) unstable; urgency=medium

  * Set Maintainer to Josenilson (ITP auhor)
  * Fix lintian: acute-accent-in-manual-page
  * Extend upstream metadata
  * Install README.md

  [ Chirayu Desai ]
  * Initial autopkgtest setup

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 21 Sep 2022 17:16:25 +0200

minisign (0.10-1) unstable; urgency=medium

  * Initial release. (Closes: #869169)

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 15 Jun 2022 17:33:54 +0200

=== debian/control ===
Source: minisign
Section: misc
Priority: optional
Maintainer: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Uploaders: Hans-Christoph Steiner <hans@eds.org>,
           Chirayu Desai <chirayudesai1@gmail.com>
Rules-Requires-Root: no
Standards-Version: 4.6.2
Build-Depends: cmake (>= 3.4),
               debhelper-compat (= 13),
	       libsodium-dev,
	       pkg-config,
Vcs-Git: https://salsa.debian.org/debian/minisign.git
Vcs-Browser: https://salsa.debian.org/debian/minisign
Homepage: https://jedisct1.github.io/minisign/

Package: minisign
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Dead simple tool to sign files and verify signatures
 Minisign is a dead simple tool to sign files and verify signatures.
 It is portable, lightweight, and uses the highly secure Ed25519
 public-key signature system. Signature files include an untrusted
 comment line that can be freely modified, even after signature
 creation. They also include a second comment line, that cannot be
 modified without the secret key. Trusted comments can be used to add
 instructions or application-specific metadata (intended file name,
 timestamps, resource identifiers, version numbers to prevent
 downgrade attacks).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable additional explot mitigation
# (PIE and *full* RELRO at the time of this writing)
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

## minisign 0.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.10)
 
 project(minisign C)
 
@@ -7,7 +7,7 @@
 set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_CURRENT_SOURCE_DIR}/README.md")
 set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE")
 set(CPACK_PACKAGE_VERSION_MAJOR "0")
-set(CPACK_PACKAGE_VERSION_MINOR "11")
+set(CPACK_PACKAGE_VERSION_MINOR "12")
 set(CPACK_PACKAGE_VERSION_PATCH "0")
 set(
   CPACK_SOURCE_PACKAGE_FILE_NAME

=== debian/changelog ===
minisign (0.12-1) unstable; urgency=medium

  [ Hans-Christoph Steiner ]
  * set debian/master as default branch for git-buildpackage

  [ Chirayu Desai ]
  * Remove myself from Uploaders

  [ Josenilson Ferreira da Silva ]
  * New upstream version 0.12
  * debian/control: Bumped Standards-Version to 4.7.0
  * debian/control: Updated name package pkg-config for pkgconf

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 02 Mar 2025 07:44:07 -0300

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,13 @@
 Section: misc
 Priority: optional
 Maintainer: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
-Uploaders: Hans-Christoph Steiner <hans@eds.org>,
-           Chirayu Desai <chirayudesai1@gmail.com>
+Uploaders: Hans-Christoph Steiner <hans@eds.org>
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Build-Depends: cmake (>= 3.4),
                debhelper-compat (= 13),
 	       libsodium-dev,
-	       pkg-config,
+	       pkgconf,
 Vcs-Git: https://salsa.debian.org/debian/minisign.git
 Vcs-Browser: https://salsa.debian.org/debian/minisign
 Homepage: https://jedisct1.github.io/minisign/

=== debian/tests/control ===
Tests: verify
Depends: @, ca-certificates, curl
Restrictions: needs-internet

Tests: generate
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts=uversionmangle=s/[_.+-]?(rc|pre|dev|beta|alpha|b|a)/~$1/i,\
USCAN_SYMLINK=rename=s%(?:.+/)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2% \
  https://github.com/jedisct1/minisign/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
